eID middleware |

# be::portugal::eid::PTEID_Pins Class Reference

Container class for all pins on the card. More...

Inheritance diagram for be::portugal::eid::PTEID_Pins:

List of all members.

## Public Member Functions
override void | Dispose ()
uint | count ()
| The number of pins on the card.
PTEID_Pin | getPinByNumber (uint ulIndex)
| Get the pin by its Index.

## Detailed Description

Container class for all pins on the card.

## Member Function Documentation

uint be::portugal::eid::PTEID_Pins::count | ( |  | ) | `[inline]`

The number of pins on the card.

override void be::portugal::eid::PTEID_Pins::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Crypto.

PTEID_Pin be::portugal::eid::PTEID_Pins::getPinByNumber | ( | uint | ulIndex | ) | `[inline]`

Get the pin by its Index.

Throw PTEID_ExParamRange exception if the index is out of range.